Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6154/?format=api
{ "ob_id": 6154, "uuid": "367fdf52f48050d4e4ad88a3fc5563a5", "title": "NERC Mesosphere-Stratosphere-Troposphere (MST) Radar Facility Wind Version 1 data", "abstract": "Version 1 processing of data from the Natural Environment Research Council's (NERC) Mesosphere-Stratosphere-Troposphere (MST) Radar near Aberystwyth in West Wales. The principal measurements made by the MST radar are of the three dimensional wind vector over the altitude range 2 - 20 km, with additional measurements from the mesosphere between 65 and 80 km. \r\n\r\nThese data include both the radial beam data plus the resulting Cartesian products.\r\n\r\nSurface meteorological measurements from the radar site, ceilometer data, sky camera images and wind speed and direction recorded from a 10m tower located 6km away are also available. \r\n\r\nOther instruments at the facility have included one of the Met Office's boundary layer wind profilers and NCAS's boundary layer wind profiler.", "keywords": "MST Radar, NERC, wind speed, wind direction, SNR, echo power, spectral width", "publicationState": "published", "dataPublishedTime": "2012-09-27T14:34:33", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6155/?format=api", "dataPath": "/badc/mst/data/mst-products-v1", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 16246707050, "numberOfFiles": 1329, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3417/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/515/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22318/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/91936/?format=api" ], "dataLineage": "Data are acquired by the MST radar facility and sent to the BADC within an hour of acquisition. Data are then immediately ingested into the BADC archives.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3992/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/25330/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6117/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26092/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26096/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26090/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26093/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26094/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26095/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26097/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26091/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/103838/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46267/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/6156/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }